gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-sandcastle-ng] 03/03: create sandbox account/instance


From: gnunet
Subject: [taler-sandcastle-ng] 03/03: create sandbox account/instance
Date: Tue, 03 Sep 2024 17:32:24 +0200

This is an automated email from the git hooks/post-receive script.

dold pushed a commit to branch master
in repository sandcastle-ng.

commit 3f45546efb8076a070bf4fd6b00bdbc64d6e1394
Author: Florian Dold <florian@dold.me>
AuthorDate: Tue Sep 3 17:32:19 2024 +0200

    create sandbox account/instance
---
 scripts/demo/setup-sandcastle.sh | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/scripts/demo/setup-sandcastle.sh b/scripts/demo/setup-sandcastle.sh
index ba582e3..fd10368 100755
--- a/scripts/demo/setup-sandcastle.sh
+++ b/scripts/demo/setup-sandcastle.sh
@@ -38,6 +38,7 @@ MERCHANT_IBAN_BLOG=DE8292195
 MERCHANT_IBAN_GNUNET=DE9709960
 MERCHANT_IBAN_TALER=DE1740597
 MERCHANT_IBAN_TOR=DE2648777
+MERCHANT_IBAN_SANDBOX=DE949115029592
 
 MYDOMAIN=${MYDOMAIN:="demo.taler.net"}
 LANDING_DOMAIN=$MYDOMAIN
@@ -373,6 +374,14 @@ taler-harness deployment provision-bank-account 
https://$BANK_DOMAIN/ \
   --name "Tor Donations Merchant" \
   --password $(get_credential_pw bank/merchant-tor)
 
+# Special bank account without a secure password
+sudo -i -u libeufin-bank libeufin-bank passwd merchant-sandbox sandbox || true
+taler-harness deployment provision-bank-account https://$BANK_DOMAIN/ \
+  --login merchant-sandbox --public \
+  --payto "payto://iban/$MERCHANT_IBAN_SANDBOX" \
+  --name "Sandbox Merchant" \
+  --password sandbox
+
 # Set up exchange
 
 MASTER_PUBLIC_KEY=$(sudo -i -u taler-exchange-offline taler-exchange-offline 
-LDEBUG setup)
@@ -654,6 +663,16 @@ taler-harness deployment provision-merchant-instance \
   --id tor \
   --payto "payto://iban/$MERCHANT_IBAN_TOR?receiver-name=Tor+Merchant"
 
+# Special instance with fixed "sandbox" password
+sudo -u taler-merchant-httpd taler-merchant-passwd sandbox 
secret-token:sandbox || true
+taler-harness deployment provision-merchant-instance \
+  https://$MERCHANT_DOMAIN/ \
+  --management-token secret-token:$(get_credential_pw merchant/default) \
+  --instance-token secret-token:sandbox \
+  --name "sandbox merchant" \
+  --id sandbox \
+  --payto "payto://iban/$MERCHANT_IBAN_SANDBOX?receiver-name=Sandbox+Merchant"
+
 # Now we set up the taler-merchant-demos
 
 cat <<EOF >/etc/taler/taler-merchant-frontends.conf

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]